dots.v2.droplets.autoscale.byAutoscale_pool_id().dangerous.delete()

Generated on 27 Oct 2026 from DoTs version v1.21.0

Usage

client.v2.droplets.autoscale.byAutoscale_pool_id(autoscale_pool_id).dangerous.delete(requestConfiguration?: RequestConfiguration<object>): Promise<void>

Description

To destroy an autoscale pool and its associated resources (Droplets), send a DELETE request to the /v2/droplets/autoscale/{autoscale_pool_id}/dangerous endpoint.

Parameters

Path Parameters

autoscale_pool_id string required

Example: 0d3db13e-a604-4944-9827-7ec2642d32ac

A unique identifier for an autoscale pool.

Headers

X-Dangerous boolean required

Example: true

Acknowledge this action will destroy the autoscale pool and its associated resources and _can not_ be reversed.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

await client.v2.droplets.autoscale
    .byAutoscale_pool_id("0d3db13e-a604-4944-9827-7ec2642d32ac").dangerous.delete({
    headers: {
        "X-Dangerous": "true",
    },
});

More Information

See /v2/droplets/autoscale/{autoscale_pool_id}/dangerous in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.